#ifndef OPENHOOKHELPER_H
#define OPENHOOKHELPER_H

#include <QObject>
#include "peony-core_global.h"
#include "menu-plugin-iface.h"

namespace Peony {

class PEONYCORESHARED_EXPORT OpenHookHelper : public QObject
{
    Q_OBJECT
public:
    MenuPluginInterface *getHookPlugin();
    void setHookPlugin(MenuPluginInterface *value);

    void launchFileSync(const QString &uri);
    void launchFileAsync(const QString &uri);

    void launchFilesAsync(const QStringList &uris);

    static OpenHookHelper *getGlobalInstance();

private:
    explicit OpenHookHelper(QObject *parent = nullptr);

    MenuPluginInterface *hookPlugin = nullptr;
};

}

#endif // OPENHOOKHELPER_H
